import chalk from 'chalk';
import webpack from 'webpack';
interface Configuration extends webpack.Configuration {
    devServer?: any;
}
declare function noop(): null;
declare function getEnv(): "development" | "production";
declare function isDev(): boolean;
declare function isProduction(): boolean;
declare function isFunction(func: any): boolean;
declare function isObject(obj: any): boolean;
declare function isString(str: any): boolean;
declare function loggerPrefix(message: string, options?: {
    name?: string;
}): void;
declare function success(info: string): void;
declare function logger(info: string): void;
declare function warning(info: string): void;
declare function error(info: string): void;
declare function requireModule(modulePath: string): any;
declare function getWebpackProxyPath(webpackConfig: Configuration): string[];
declare function mergeBabelConfig(baseConfig: any, mergeConfig: any): any;
declare const _default: {
    chalk: chalk.Chalk & chalk.ChalkFunction & {
        supportsColor: false | chalk.ColorSupport;
        Level: chalk.Level;
        Color: ("black" | "red" | "green" | "yellow" | "blue" | "magenta" | "cyan" | "white" | "gray" | "grey" | "blackBright" | "redBright" | "greenBright" | "yellowBright" | "blueBright" | "magentaBright" | "cyanBright" | "whiteBright") | ("bgBlack" | "bgRed" | "bgGreen" | "bgYellow" | "bgBlue" | "bgMagenta" | "bgCyan" | "bgWhite" | "bgGray" | "bgGrey" | "bgBlackBright" | "bgRedBright" | "bgGreenBright" | "bgYellowBright" | "bgBlueBright" | "bgMagentaBright" | "bgCyanBright" | "bgWhiteBright");
        ForegroundColor: "black" | "red" | "green" | "yellow" | "blue" | "magenta" | "cyan" | "white" | "gray" | "grey" | "blackBright" | "redBright" | "greenBright" | "yellowBright" | "blueBright" | "magentaBright" | "cyanBright" | "whiteBright";
        BackgroundColor: "bgBlack" | "bgRed" | "bgGreen" | "bgYellow" | "bgBlue" | "bgMagenta" | "bgCyan" | "bgWhite" | "bgGray" | "bgGrey" | "bgBlackBright" | "bgRedBright" | "bgGreenBright" | "bgYellowBright" | "bgBlueBright" | "bgMagentaBright" | "bgCyanBright" | "bgWhiteBright";
        Modifiers: "reset" | "bold" | "dim" | "italic" | "underline" | "inverse" | "hidden" | "strikethrough" | "visible";
        stderr: chalk.Chalk & {
            supportsColor: false | chalk.ColorSupport;
        };
    };
    loggerPrefix: typeof loggerPrefix;
    logger: typeof logger;
    success: typeof success;
    warning: typeof warning;
    error: typeof error;
    noop: typeof noop;
    getEnv: typeof getEnv;
    isDev: typeof isDev;
    isProduction: typeof isProduction;
    isFunction: typeof isFunction;
    isObject: typeof isObject;
    isString: typeof isString;
    requireModule: typeof requireModule;
    getWebpackProxyPath: typeof getWebpackProxyPath;
    mergeBabelConfig: typeof mergeBabelConfig;
};
export default _default;
