import { RcbConfig } from '../getConfig';
import { BABEL_REGEX } from '../common/constant';
import paths from '../paths';

export default function getTsLoader(rcb: RcbConfig) {
    let include = [
        paths.src
    ];
    return ({
        test: BABEL_REGEX,
        include,
        use: [
            {
                loader: require.resolve('esbuild-loader'),
                options: {
                    loader: 'jsx',
                    target: 'es2015'
                }
            }
        ]
    });
}
